Article ID: 116313, created on Jun 21, 2013, last review on May 26, 2014

  • Applies to:
  • Plesk 11.x for Linux
  • Plesk 10.x for Linux


Firewall cannot be activated through Parallels Plesk Panel interface:

/opt/psa/var/modules/firewall/ failed: ip6tables v1.4.4: invalid mask '' specified


The problem is caused by error in product: if rule contains non-standard netmask (i.e. not /8, /16 or /24), Firewall Module mistakenly recognizes address as IPv6 and generates incorrect rule:

/sbin/ip6tables -A INPUT -p tcp --dport 22 -s / -j ACCEPT


The problem is under investigation by Product Development and will be fixed in future releases.

dd0611b6086474193d9bf78e2b293040 56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 0a53c5a9ca65a74d37ef5c5eaeb55d7f

Email subscription for changes to this article
Save as PDF